ubuntu16.04安装jekyll 3.3.1

本次安装的ekyll为最新的3.3.1版本。

一、预备工作,因位jekyll需要很多软件的支持,所以准备工作要做足。

  • Ruby (including development headers, v1.9.3 or above for Jekyll 2 and v2 or above for Jekyll 3)
  • RubyGems
  • Linux, Unix, or macOS
  • NodeJS, or another JavaScript runtime (Jekyll 2 and earlier, for CoffeeScript support).
  • Python 2.7 (for Jekyll 2 and earlier)
  • GCC and Make (in case your system doesn’t have them installed, which you can check by running gcc -v and make -v in your system’s command line interface)

  1、首先安装gcc编译包。

    apt install build-essential

  2、安装ruby,因为ruby由于各种原因,原本完整的安装包被分割为多个小包,ruby-full保证了全部特性安装。

    apt install ruby-full

  3、安装RubyGems。

    apt install rubygems
        which gem     //查看gem的安装位置,正常显示“/usr/bin/gem”
        gem  update   --system     //升级rubygems到最新版本

  4、安装NodeJS,因为nodejs升级太快,造成版本分裂,采用nodesource安装脚本。注意:这里安装的6.x系列。       

           curl -sL https://deb.nodesource.com/setup_6.x | sudo -E bash -
    sudo apt-get install -y nodejs

  5、安装python2.7

    apt install python

二、开始安装jekyll,预备软件安装好后,安装jekky只是一个命令。

  gem install jekyll

      jekyll   --version           //查看jekyll的版本。

 


     

 

posted @ 2017-01-21 20:20  立体风  阅读(1546)  评论(0编辑  收藏  举报